Subject: Re: [PATCH] net: Saner thash_entries default with much memory

From: [email-masked]
Date: Fri, 26 Oct 2007 08:55:30 -0700

On Fri, Oct 26, 2007 at 05:21:31PM +0200, Jean Delvare wrote:
> ....
> This is just one way to limit the hash size, there are others; I am not
> familiar enough with the TCP code to decide which is best. Thus, I
> would welcome the proposals of alternatives.
> 

Yeah, the existing way of sizing them is very bad on large systems 
and hardcoding a size sucks (though that's what we do on large 
Altix systems now).

IIRC there was some talk about using a different data structure 
here - something that wouldn't require a fixed size and that 
could maintain reasonably fast lookup even when it got large. 

Robert, has work been done to use TRASH to address this problem? 
Other ideas?

-- 
Arthur